# VLCKit: VLCExtension Class Reference

VLCExtension Class Reference

`#import <VLCExtension.h>`

Inheritance diagram for VLCExtension:

## Instance Methods

(instancetype) | - initWithInstance:

## Properties

struct extension_t * | instance
NSString * | name
NSString * | title

## Detailed Description

wrapper class for lua extensions within VLCKit

## Method Documentation

- (instancetype) initWithInstance: |  | (struct extension_t *) | NS_DESIGNATED_INITIALIZER |

initializer for wrapper class

Parameters

  instance | the extension_t instance to init the wrapper with

## Property Documentation

- (struct extension_t*) instance

the extension instance used to init the wrapper with

- (NSString*) name

readatomiccopy

technical name of the extension

- (NSString*) title

readatomiccopy

user-visible name of the extension

The documentation for this class was generated from the following file:

- Headers/Public/VLCExtension.h